org.eclipse.viatra.addon.databinding.runtime.collection

## Class ObservableCollectionProcessor<Match extends IPatternMatch>

- java.lang.Object
- - org.eclipse.viatra.addon.databinding.runtime.collection.ObservableCollectionProcessor<Match>

- Type Parameters:
    `Match` -
  All Implemented Interfaces:
    java.util.function.Consumer<Match>

      public class ObservableCollectionProcessor<Match extends IPatternMatch>
      extends java.lang.Object
      implements java.util.function.Consumer<Match>

  Match processor that can be parameterized with a `Direction` and an `IObservablePatternMatchCollectionUpdate`. It can be registered for rules that take care of keeping the observable collection up-to-date (see `ObservableCollectionHelper#createRuleInAgenda`).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObservableCollectionProcessor(Direction direction, IObservablePatternMatchCollectionUpdate<Match> collection)` Creates a processor with the given direction and observable collection.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Match match)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Consumer

      `andThen`

- - ### Constructor Detail

    - #### ObservableCollectionProcessor

          public ObservableCollectionProcessor(Direction direction,
                                               IObservablePatternMatchCollectionUpdate<Match> collection)

      Creates a processor with the given direction and observable collection.
      Parameters:
        `direction` - the `Direction` of updates that are handled
        `collection` - the `IObservablePatternMatchCollectionUpdate` to manage

  - ### Method Detail

    - #### accept

          public void accept(Match match)

      Specified by:
        `accept` in interface `java.util.function.Consumer<Match extends IPatternMatch>`
      Since:
        2.0